#!/usr/bin/php -q
<?php
// ============================================================================
//
// Copyright (c) 2004-2005 www.telefon-sparbuch.de (Eric Berberich)
// All rights reserved.
//
// This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
// ----------------------------------------------------------------------------
//
// File          : etc/asterisk/lcr/tsblcrupdate.php
// Revision      : $Revision: 1.3 $
// Revision_date : $Date: 2005/11/06 18:36:19 $
//
// Author(s)     : Eric Berberich <eric@berberich.net>
//
// ============================================================================


// argv[1]: config file to read
// argv[2]: routing file to write

if ($argc != 3) {
    exit;
}

$configfile = $argv[1];
$routingfile = $argv[2];

$update = false;
if ($configfile && is_readable($configfile)) {
    if ($routingfile && is_file($routingfile)) {
        $handle = fopen("http://www.telefonsparbuch.de/nocache/info.lcr.last_modified.txt", "r");
        $filetime = strtotime(fgets($handle));
        fclose($handle);
        if ($filetime > gmmktime()) {
            echo "Newer file! Waiting ... ";
            sleep(rand(0,30));
            echo "done.\n";
            $update = true;
        } else {
            echo "File still valid! No download needed!\n";
        }
    } else {
        $update = true;
    }
}

if ($update) {
    echo "Download now ... ";
    $wgetcmd = "wget -N -S http://www.telefonsparbuch.de/tmpl/calc/telephone/lcr/Asterisk/download/index.htm --post-data 'VERSION=1&TAKE_FILE=" . urlencode(file_get_contents($configfile)) ."' 2> /dev/null";
    system($wgetcmd);
    echo "done.\n";
    echo "Update routing file ... ";
    system("mv index.htm $routingfile");
    echo "done.\n";
}
?>
